151 lines
4.7 KiB
Diff
151 lines
4.7 KiB
Diff
|
From 07df50ffab364f9b24a903c56b9fabce2e60f65f Mon Sep 17 00:00:00 2001
|
||
|
From: Kevin Wolf <kwolf@redhat.com>
|
||
|
Date: Fri, 13 Jul 2018 14:50:02 +0200
|
||
|
Subject: [PATCH 218/268] iotests: add test 226 for file driver types
|
||
|
|
||
|
RH-Author: Kevin Wolf <kwolf@redhat.com>
|
||
|
Message-id: <20180713145002.20953-3-kwolf@redhat.com>
|
||
|
Patchwork-id: 81351
|
||
|
O-Subject: [RHV-7.6 qemu-kvm-rhev PATCH 2/2] iotests: add test 226 for file driver types
|
||
|
Bugzilla: 1525829
|
||
|
RH-Acked-by: John Snow <jsnow@redhat.com>
|
||
|
RH-Acked-by: Max Reitz <mreitz@redhat.com>
|
||
|
RH-Acked-by: Fam Zheng <famz@redhat.com>
|
||
|
|
||
|
From: John Snow <jsnow@redhat.com>
|
||
|
|
||
|
Test that we're rejecting what we ought to for file,
|
||
|
host_driver and host_cdrom drivers. Test that we're
|
||
|
seeing the deprecated message for block and chardevs
|
||
|
on the file driver.
|
||
|
|
||
|
Signed-off-by: John Snow <jsnow@redhat.com>
|
||
|
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
|
||
|
(cherry picked from commit 2d4cb49ddaa219ed3f5a985ecf8b188aeb2b3d6b)
|
||
|
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
|
||
|
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
|
||
|
---
|
||
|
tests/qemu-iotests/226 | 66 ++++++++++++++++++++++++++++++++++++++++++++++
|
||
|
tests/qemu-iotests/226.out | 26 ++++++++++++++++++
|
||
|
tests/qemu-iotests/group | 1 +
|
||
|
3 files changed, 93 insertions(+)
|
||
|
create mode 100755 tests/qemu-iotests/226
|
||
|
create mode 100644 tests/qemu-iotests/226.out
|
||
|
|
||
|
diff --git a/tests/qemu-iotests/226 b/tests/qemu-iotests/226
|
||
|
new file mode 100755
|
||
|
index 0000000..460aea2
|
||
|
--- /dev/null
|
||
|
+++ b/tests/qemu-iotests/226
|
||
|
@@ -0,0 +1,66 @@
|
||
|
+#!/bin/bash
|
||
|
+#
|
||
|
+# This test covers expected filetypes for the file, host_cdrom and
|
||
|
+# host_device drivers.
|
||
|
+#
|
||
|
+# Copyright (C) 2018 Red Hat, Inc.
|
||
|
+#
|
||
|
+# This program is free software; you can redistribute it and/or modify
|
||
|
+# it under the terms of the GNU General Public License as published by
|
||
|
+# the Free Software Foundation; either version 2 of the License, or
|
||
|
+# (at your option) any later version.
|
||
|
+#
|
||
|
+# This program is distributed in the hope that it will be useful,
|
||
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
|
||
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
|
||
|
+# GNU General Public License for more details.
|
||
|
+#
|
||
|
+# You should have received a copy of the GNU General Public License
|
||
|
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
|
||
|
+#
|
||
|
+
|
||
|
+# creator
|
||
|
+owner=jsnow@redhat.com
|
||
|
+
|
||
|
+seq=`basename $0`
|
||
|
+echo "QA output created by $seq"
|
||
|
+
|
||
|
+here=`pwd`
|
||
|
+status=1 # failure is the default!
|
||
|
+
|
||
|
+_cleanup()
|
||
|
+{
|
||
|
+ rmdir "$TEST_IMG"
|
||
|
+}
|
||
|
+trap "_cleanup; exit \$status" 0 1 2 3 15
|
||
|
+
|
||
|
+# get standard environment, filters and checks
|
||
|
+. ./common.rc
|
||
|
+. ./common.filter
|
||
|
+. ./common.pattern
|
||
|
+
|
||
|
+# Generic format, but tests file-protocol specific error handling
|
||
|
+_supported_fmt generic
|
||
|
+_supported_proto file
|
||
|
+_supported_os Linux
|
||
|
+
|
||
|
+# Create something decidedly not a file, blockdev or chardev...
|
||
|
+mkdir "$TEST_IMG"
|
||
|
+
|
||
|
+for PROTO in "file" "host_device" "host_cdrom"; do
|
||
|
+ echo
|
||
|
+ echo "=== Testing with driver:$PROTO ==="
|
||
|
+ echo
|
||
|
+ echo "== Testing RO =="
|
||
|
+ $QEMU_IO -c "open -r -o driver=$PROTO,filename=$TEST_IMG" 2>&1 | _filter_imgfmt | _filter_testdir
|
||
|
+ $QEMU_IO -c "open -r -o driver=$PROTO,filename=/dev/null" 2>&1 | _filter_imgfmt
|
||
|
+ echo "== Testing RW =="
|
||
|
+ $QEMU_IO -c "open -o driver=$PROTO,filename=$TEST_IMG" 2>&1 | _filter_imgfmt | _filter_testdir
|
||
|
+ $QEMU_IO -c "open -o driver=$PROTO,filename=/dev/null" 2>&1 | _filter_imgfmt
|
||
|
+done
|
||
|
+
|
||
|
+# success, all done
|
||
|
+echo
|
||
|
+echo "*** done"
|
||
|
+rm -f $seq.full
|
||
|
+status=0
|
||
|
diff --git a/tests/qemu-iotests/226.out b/tests/qemu-iotests/226.out
|
||
|
new file mode 100644
|
||
|
index 0000000..8c0d060
|
||
|
--- /dev/null
|
||
|
+++ b/tests/qemu-iotests/226.out
|
||
|
@@ -0,0 +1,26 @@
|
||
|
+QA output created by 226
|
||
|
+
|
||
|
+=== Testing with driver:file ===
|
||
|
+
|
||
|
+== Testing RO ==
|
||
|
+can't open: A regular file was expected by the 'file' driver, but something else was given
|
||
|
+warning: Opening a character device as a file using the 'file' driver is deprecated
|
||
|
+== Testing RW ==
|
||
|
+can't open: Could not open 'TEST_DIR/t.IMGFMT': Is a directory
|
||
|
+warning: Opening a character device as a file using the 'file' driver is deprecated
|
||
|
+
|
||
|
+=== Testing with driver:host_device ===
|
||
|
+
|
||
|
+== Testing RO ==
|
||
|
+can't open: 'host_device' driver expects either a character or block device
|
||
|
+== Testing RW ==
|
||
|
+can't open: Could not open 'TEST_DIR/t.IMGFMT': Is a directory
|
||
|
+
|
||
|
+=== Testing with driver:host_cdrom ===
|
||
|
+
|
||
|
+== Testing RO ==
|
||
|
+can't open: 'host_cdrom' driver expects either a character or block device
|
||
|
+== Testing RW ==
|
||
|
+can't open: Could not open 'TEST_DIR/t.IMGFMT': Is a directory
|
||
|
+
|
||
|
+*** done
|
||
|
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
|
||
|
index 5c55adc..11498fd 100644
|
||
|
--- a/tests/qemu-iotests/group
|
||
|
+++ b/tests/qemu-iotests/group
|
||
|
@@ -218,3 +218,4 @@
|
||
|
217 rw auto quick
|
||
|
218 rw auto quick
|
||
|
219 rw auto
|
||
|
+226 auto quick
|
||
|
--
|
||
|
1.8.3.1
|
||
|
|